Package org.apache.sling.distribution.journal.impl.publisher

# Class QueueCacheSeeder

java.lang.Object
org.apache.sling.distribution.journal.impl.publisher.QueueCacheSeeder

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class QueueCacheSeeder extends Object implements Closeable

## Constructor Summary

Constructors
Constructor
Description
`QueueCacheSeeder(org.apache.sling.distribution.journal.MessageSender<org.apache.sling.distribution.journal.messages.PackageMessage> sender)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`startSeeding()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueueCacheSeeder

public QueueCacheSeeder(org.apache.sling.distribution.journal.MessageSender<org.apache.sling.distribution.journal.messages.PackageMessage> sender)

## Method Details

### startSeeding

public void startSeeding()

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`